
Figure - Bug #117024
测试 Test-IT # 110961 (New): V2.0功能测试

测试 Test-IT # 111056 (New): AF-V2.0-Launcher/SystemUI----Setting

【AF】【EVT3】【设置】通知-应用设置-音乐的所有通知页面，应用名称显示有问题，逐级返回后再次应用
通知时，会出现设置闪退的现象
2023-03-18 15:54 - CD TEST-方永红

Status: CLOSED Start date: 2023-03-18

Priority: Normal Due date:

Assignee: CD TEST-方永红 % Done: 100%

Category: CD-FW Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: FlatBuild_HH_MCE_FSE.M.D.user.01.00.C101(X101).202303170158

Resolution: FIXED Degrated: No

Severity: Major Verified Version: FlatBuild_HH_MCE_FSE.M.D.user.01.00.C102(X102).202303240240

Reproducibility: Every time Fixed Version: 2023-03-21

Test Type: ST Root cause: 带 Channel 信息的通知详情对 Channel Id 传递的处理逻辑有问题导致。

Description

【前提条件】

设备已开机

【测试步骤】

1、打开设置-通知-应用通知

2、选择音乐

3、点击com.android.music这条通知

4、点击页面中的音乐图标

5、点击返回按钮至应用通知页面

6、再次点击应用通知

【预期结果】

3、通知名称为“音乐”

4、点击音乐图标后页面无变化

6、正常进入下一级页面

【实际结果】

3、通知名称为“com.android.music”

4、点击音乐图标后页面变化

6、设置闪退

History

#1 - 2023-03-20 14:55 - CD FW-廖涛

- Priority changed from High to Normal

■ My analysis

经过分析，音乐通知通知展示包名，为 AOSP 原生逻辑，跳转后标题变化和之前处理音乐、视频区分逻辑有关系，需要重新梳理下看怎么处理。

关于崩溃问题，已经在处理 https://share.thundersoft.com/redmine/issues/117016 的时候一并处理了，所以先将该 BUG 的优先级降为 Normal。

■ Next action

进一步分析音乐的通知逻辑及展示情况。
https://share.thundersoft.com/redmine/issues/117016


#2 - 2023-03-21 19:22 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

188816 general/platform/packages/apps/Settin

gs

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tao.liao@thundersoft.com

AF:Settings: Fix notification title and page header problem.TC-RID: 1201-0201803IssueID: TS-R-BUG-117024Change-Id:

I4941ebd6adeabcdf8ab62a7358cd07c40fec94fb

#3 - 2023-03-21 19:27 - CD FW-廖涛

- Status changed from New to RESOLVED

- Assignee changed from CD FW-廖涛 to CD TEST-方永红

- % Done changed from 0 to 100

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

- Fixed Version set to 2023-03-21

- Root cause set to 带 Channel 信息的通知详情对 Channel Id 传递的处理逻辑有问题导致。

■ Current conclusion

已处理，代码已入库。

■ My analysis

带 Channel 信息的通知详情对 Channel Id 传递的处理逻辑有问题导致。

通过调整 Channel 通知页面跳转方式，处理页面参数传递问题。

■ Next action

测试验证。

#4 - 2023-03-24 13:56 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

- Verified Version set to FlatBuild_HH_MCE_FSE.M.D.user.01.00.C102(X102).202303240240

3.24

验证通过

#5 - 2023-03-24 13:56 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

Files

Phone-STS40X190078 2023-03-18 15-09-22.mp4 29.5 MB 2023-03-18 CD TEST-方永红

settings.txt 6.68 MB 2023-03-18 CD TEST-方永红
